:root {
    --gren: rgb(83, 194, 139);
    --blue: rgb(63, 75, 150);
}

.property-section{
    display: flex;
    flex-direction: column;
}

.sec-description{
    display: grid;
    justify-items: center;
    width: 900px;
    margin: 0 auto;
    text-align: center;
}

.sec-description .title-container, .sec-details .title-container{
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 60px;
    margin-bottom: 60px;
}

.sec-description .letter-green, .sec-details .letter-green, .detail-value-container .letter-green{
    color: var(--gren);
}

.sec-description div{
    font-weight: 400;
    font-size: 16px;
    margin-bottom: 100px;
}

.slider-for{
    width: 800px;
    margin: 0 auto 30px auto;
}

.slider-for img{
    width: 800px;
    height: 500px;
    object-fit: cover;
}

.slider-nav{
    width: calc(100vw - 30px);
    margin-bottom: 40px;
}

.slider-nav img{
    object-fit: cover;
    width: 210px;
    height: 210px;
}

.slider-nav img:hover{
    box-sizing: border-box;
    border-width: 3px;
    border-style: solid;
    border-image: linear-gradient(var(--gren), var(--blue)) 1;
}

.sec-infos{
    display: flex;
    flex-direction: row;
    margin-bottom: 80px;

    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 21px;
}

.col-infos div{
    display: flex;
    flex-direction: row;
    align-items: center;
}


.sec-infos .col-infos{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    gap: 10px;
}

.sec-infos img{
    height: 80%;
    margin-right: 20px;
}

.sec-infos .gradient-division{
    width: 3px;
    background: linear-gradient(var(--gren), var(--blue));
    margin: 10px 100px;
}

.sec-details{
    display: grid;
    justify-items: center;
    margin: 0 auto;
    text-align: center;
}

.outside-gradient{
    background: linear-gradient(var(--gren), var(--blue));
    width: 1000px;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 3px;
}

.inner-gradient{
    background-color: white;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.div-container{
    display: flex;
    flex-direction: row;
}

.detail-cols{
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    padding: 40px;
}

.grid-detail-bar{
    background: linear-gradient(var(--gren), var(--blue));
    width: 3px;
    position: relative;
    left: -450px;
    margin: 20px 0;
}

.detail-container-f, .detail-container-s{
    display: flex;
    flex-direction: row;
    width: 350px;
    justify-content: space-between;
    padding: 20px;
    padding-left: 70px;

    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
}

.detail-value{
    color: #9D9EAA;
}

.detail-name{
    text-transform: uppercase;
}

.sec-map{
    width: 800px;
    margin-bottom: 50px;
}

.map-container{
    width: calc(100% - 4px);
    height: 302px;
    margin-bottom: 20px;
}

.map-container .map{
    width: 100%;
    height: 100%;
    background: linear-gradient(var(--white), var(--white)) 50% 50% / calc(100% - 6px) calc(100% - 6px) no-repeat, linear-gradient(0deg, var(--blue) 0%, var(--green) 100%);
    display: flex;
    justify-content: center;
    align-items: center;
}

.map iframe{
    width: calc(100% - 6px);
    height: 100%;
    max-width: calc(100vw - 3px);
    max-height: calc(302px - 6px);
}

.sec-map button{
    background: transparent;
    border: solid 3px var(--blue);
    padding: 30px 60px;
    display: flex;
    margin: 0 auto;
    cursor: pointer;
}

.sec-map button:hover{
    background-color: var(--blue);
    color: white;
}

.map-infos-container{
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    text-transform: uppercase;
}

.map-item-gray{
    margin-left: 15px;
    color: #9D9EAA;
}

.map-infos-container .gradient-division{
    width: 2px;
    background: linear-gradient(var(--gren), var(--blue));
    margin: 0 20px;
}

.detail-value-container{
    display: flex;
    gap: 10px;
    margin: 0 0 30px 110px ;

    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 400;
    font-size: 25px;
    line-height: 35px;
}

.but-detail-container{
 margin-bottom: 20px;
}

.but-detail-container button{
    background-color: var(--blue);
    color: white;
    padding: 5px 10px;
    border-radius: 20px;
    margin: 0 5px;
    display: none;
}

@media (max-width: 1200px){
    .slider-for img, .slider-for{
        width: 600px;
        height: 400px;
    }
}

@media (max-width: 1000px){   
    .slider-nav img{
        width: 150px;
        height: 150px;
    }

    .sec-infos img{
        height: 60%;
        margin-right: 10px;
    }
    .sec-infos .gradient-division{
        margin: 10px 50px;
    }

    .outside-gradient{
        width: 700px;
    }

    .detail-cols{
        padding: 20px;
    }

    .detail-container-s, .detail-container-f{
        width: 250px;
        padding-left: 50px;
    }

    .grid-detail-bar{
        left: -325px;
    }

    .sec-map{
        width: 500px;
    }

    .sec-map button{
        font-size: 12px;
        padding: 15px 30px;
    }
}

@media (max-width: 900px){
    .sec-description .title-container, .sec-details .title-container{
        font-size: 40px;
        margin-bottom: 30px;
    }

    .sec-description{
        width: 600px;
    }
}

@media (max-width: 700px){
    .detail-cols{
        display: flex;
        flex-direction: column;
    }

    .outside-gradient{
        width: 300px;
    }

    .detail-value-container{
        margin: 0 0 30px 0;
        justify-content: center;
    }

    .detail-container-f, .detail-container-s{
        padding-left: 00px;
    }

    .but-detail-container button{
        display: initial;
    }

    .grid-detail-bar{
        display: none;
    }

    .detail-container-s{
        display: none;
    }
}

@media (max-width: 600px){
    .sec-description .title-container, .sec-details .title-container{
        font-size: 25px;
        margin-bottom: 15px;
    }

    .sec-details .title-container{
        margin-bottom: 30px;
    }

    .sec-description{
        width: 400px;
    }

    .slider-for img, .slider-for{
        width: 450px;
        height: 300px;
    }

    .slider-nav img{
        width: 120px;
        height: 120px;
    }
    .sec-infos img{
        height: 40%;
    }
    .sec-infos .gradient-division{
        margin: 20px 15px;
    }
    .sec-infos{
        font-size: 12px;
    }
    .sec-infos .col-infos{
        gap: 0px;
    }

    .sec-map{
        width: 300px;
    }

    .map-container{
        height: 152px;
    }

    .map iframe{
        max-height: calc(152px - 6px);
    }

    .map-infos-container{
        font-size: 10px;
    }

    .map-item-gray{
        margin-left: 5px;
    }

    .map-infos-container .gradient-division{
        margin: 0 10px;
    }
    
}

@media (max-width: 600px){
    .sec-description{
        width: 300px;
    }

    .slider-for img, .slider-for{
        width: 350px;
        height: 250px;
    }

    .slider-nav img{
        width: 100px;
        height: 100px;
    }
}

@media (max-width: 600px){
    .slider-nav img{
        width: 80px;
        height: 80px;
    }
}

@media (max-width: 940px) {
    .property-section {
        padding-top: 14.5vw;
    }
}
@media (max-width: 880px) {
    .property-section {
        padding-top: 16.5vw;
    }
}
@media (max-width: 800px) {
    .property-section {
        padding-top: 19vw;
    }
}
@media (max-width: 750px) {
    .property-section {
        padding-top: 20vw;
    }
}
@media (max-width: 680px) {
    .property-section {
        padding-top: 22vw;
    }
}
@media (max-width: 600px) {
    .property-section {
        padding-top: 24vw;
    }
}
@media (max-width: 550px) {
    .property-section {
        padding-top: 27vw;
    }
}
@media (max-width: 500px) {
    .property-section {
        padding-top: 30vw;
    }
}
@media (max-width: 440px) {
    .property-section {
        padding-top: 34vw;
    }
}
@media (max-width: 400px) {
    .property-section {
        padding-top: 38vw;
    }
}